Bug 41110 - Move more form submission logic into FormSubmission.
Summary: Move more form submission logic into FormSubmission.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Dimitri Glazkov (Google)
URL:
Keywords:
Depends on:
Blocks: 39021
  Show dependency treegraph
 
Reported: 2010-06-23 16:21 PDT by Dimitri Glazkov (Google)
Modified: 2010-07-23 15:21 PDT (History)
5 users (show)

See Also:


Attachments
Patch (31.87 KB, patch)
2010-06-23 16:32 PDT, Dimitri Glazkov (Google)
no flags Details | Formatted Diff | Diff
Patch (35.20 KB, patch)
2010-06-24 10:26 PDT, Dimitri Glazkov (Google)
tkent: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitri Glazkov (Google) 2010-06-23 16:21:39 PDT
Move more form submission logic into FormSubmission.
Comment 1 Dimitri Glazkov (Google) 2010-06-23 16:32:12 PDT
Created attachment 59575 [details]
Patch
Comment 2 Dimitri Glazkov (Google) 2010-06-23 16:34:23 PDT
Apologies for a largish patch -- I tried splitting it up, but the it was less readable in chunks.
Comment 3 Eric Seidel (no email) 2010-06-23 16:38:04 PDT
Attachment 59575 [details] did not build on mac:
Build output: http://webkit-commit-queue.appspot.com/results/3331655
Comment 4 WebKit Review Bot 2010-06-23 19:01:14 PDT
Attachment 59575 [details] did not build on chromium:
Build output: http://webkit-commit-queue.appspot.com/results/3313637
Comment 5 Dimitri Glazkov (Google) 2010-06-23 20:03:06 PDT
(In reply to comment #3)
> Attachment 59575 [details] did not build on mac:
> Build output: http://webkit-commit-queue.appspot.com/results/3331655

Weird... I don't get this error when building locally. I'll investigate.
Comment 6 Dimitri Glazkov (Google) 2010-06-24 10:26:42 PDT
Created attachment 59670 [details]
Patch
Comment 7 Dimitri Glazkov (Google) 2010-06-24 10:28:26 PDT
(In reply to comment #6)
> Created an attachment (id=59670) [details]
> Patch

I went back and forth on making FormSubmission::Attributes nested. It just looks prettier that way :)
Comment 8 Kent Tamura 2010-07-12 07:32:27 PDT
Comment on attachment 59670 [details]
Patch

WebCore/loader/FormSubmission.h:56
 +              {
Indentation is wrong.  It should be 8 spaces.
Comment 9 Dimitri Glazkov (Google) 2010-07-23 15:21:38 PDT
Fixed up and landed as http://trac.webkit.org/changeset/63999